<div class="form-center" style="margin: auto; width: 500px">
  <form class="ui form" [formGroup]="registerForm" (ngSubmit)="register()"> 
      <br>
      <div class="required field" style="font-style: italic;">
        <label>Username</label>
        <input type="text" name="username" formControlName="username" />
      </div>
      <br>
      <div class="required field" style="font-style: italic;">
        <label>Email</label>
        <input type="email" name="email" formControlName="email" />
      </div>
      <br>
      <div class="required field" style="font-style: italic;">
        <label>Password</label>
        <input type="password" name="password" formControlName="password" placeholder="Minimal password length is 6"/>
      </div>
      <br>
      <div style="font-style: italic; font-weight: bold; font-size: 10pt;">
        <label>Location</label>
        <input type="text" name="location" formControlName="location" />
      </div>
      <br>
      
      <div style="font-style: italic; font-weight: bold; font-size: 10pt;">
        <label>Date of birth</label>
        <input type="date" name="dateOfBirth" formControlName="dateOfBirth" />
      </div>
      
      <br>
      <div class="container" style="width: auto; align-content: center; text-align: center;">
        <button class="btn btn-info btn-block" type="submit" style="padding-top: 10px; text-align: center;">Register</button>
      </div>
    </form>
  </div>